Subject: bug#17352: .emacs.desktop has become unportable between GUI and TTY.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Sep 2017 17:56:42 +0300

> Date: Sat, 02 Sep 2017 16:03:16 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Kaushal Modi <[email-masked]>
> > Date: Sat, 18 Feb 2017 21:29:21 +0000
> > 
> > I see this issue even on the latest build of emacs master as of today (version 26.x).
> > 
> > I ended up on this debbugs via here: https://github.com/purcell/emacs.d/issues/259
> > 
> > I happened to start emacs with -nw option. My config saves the desktop when quitting emacs. Then when I
> > opened emacs GUI, I saw this *Warning* buffer:
> > 
> > Error (frameset): font `tty' is not defined.
> 
> Juanma, any progress with this issue?

I think I fixed this now on the emacs-26 branch, please test.